Bug 1296463 - [RFE] Tenant/Project level chargeback
[RFE] Tenant/Project level chargeback
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
Unspecified Unspecified
high Severity high
: GA
: 5.6.0
Assigned To: Libor Pichler
Nandini Chandra
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2016-01-07 05:32 EST by Chen
Modified: 2016-06-29 11:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
There was a feature request for Tenant/Project level chargeback in CloudForms. As CloudForms supports multi-tenancy, it should be able to chargeback according to the tenant. This update adds the option Tenant in ChargeBack >Assignments; as a result you can now set a rate to a specific tenant.
Story Points: ---
Clone Of:
Last Closed: 2016-06-29 11:26:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chen 2016-01-07 05:32:08 EST
1. Proposed title of this feature request
RFE: Tenant/Project level chargeback

2. Who is the customer behind the request?

Account name: 	Sega Games #Acct: 5629336

SRM customer: no

TAM customer: no

Tactical : no

Strategic Customer: no

Is PoC: yes

This customer is very important because it is the first Japan Cloudforms PoC.

3. What is the nature and description of the request?

The customer wants a tenant/project level chargeback. 

4. Why does the customer need this? (List the business requirements here)

As CFME supports multi-tenant, it is reasonable that we should be able to chargeback according to the tenant.

5. How would the customer like to achieve this? (List the functional requirements here)

By adding one more option in the chargeback assignments.

6. For each functional requirement listed in question 5, specify how Red Hat

and the customer can test to confirm the requirement is successfully implemented.

By adding one more option and implement the feature.

7. Is there already an existing RFE upstream or in Red Hat bugzilla?


8. Does the customer have any specific timeline dependencies?

The PoC deadline is 15th Jan.

9. Is the sales team involved in this request and do they have any additional input?


10. List any affected packages or components.

11. Would the customer be able to assist in testing this functionality if implemented?

Comment 4 Nandini Chandra 2016-05-20 15:40:25 EDT
Verified in
Comment 6 errata-xmlrpc 2016-06-29 11:26:06 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.